# WOK
TKWOK
MS

# MS_SequenceOfInterface Class Reference

`#include <MS_SequenceOfInterface.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
| MS_SequenceOfInterface ()
Standard_EXPORT void | Clear ()
| ~MS_SequenceOfInterface ()
Standard_EXPORT const MS_SequenceOfInterface & | Assign (const MS_SequenceOfInterface &Other)
const MS_SequenceOfInterface & | operator= (const MS_SequenceOfInterface &Other)
Standard_EXPORT void | Append (const Handle(MS_Interface)&T)
void | Append (MS_SequenceOfInterface &S)
Standard_EXPORT void | Prepend (const Handle(MS_Interface)&T)
void | Prepend (MS_SequenceOfInterface &S)
void | InsertBefore (const Standard_Integer Index, const Handle(MS_Interface)&T)
void | InsertBefore (const Standard_Integer Index, MS_SequenceOfInterface &S)
Standard_EXPORT void | InsertAfter (const Standard_Integer Index, const Handle(MS_Interface)&T)
void | InsertAfter (const Standard_Integer Index, MS_SequenceOfInterface &S)
Standard_EXPORT const Handle_MS_Interface & | First () const
Standard_EXPORT const Handle_MS_Interface & | Last () const
void | Split (const Standard_Integer Index, MS_SequenceOfInterface &Sub)
Standard_EXPORT const Handle_MS_Interface & | Value (const Standard_Integer Index) const
const Handle_MS_Interface & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(MS_Interface)&I)
Standard_EXPORT Handle_MS_Interface & | ChangeValue (const Standard_Integer Index)
Handle_MS_Interface & | operator() (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer Index)
Standard_EXPORT void | Remove (const Standard_Integer FromIndex, const Standard_Integer ToIndex)

## Private Member Functions

Standard_EXPORT | MS_SequenceOfInterface (const MS_SequenceOfInterface &Other)

## Constructor & Destructor Documentation

MS_SequenceOfInterface::MS_SequenceOfInterface | ( |  | ) |

MS_SequenceOfInterface::~MS_SequenceOfInterface | ( |  | ) | `[inline]`

Standard_EXPORT MS_SequenceOfInterface::MS_SequenceOfInterface | ( | const MS_SequenceOfInterface & | Other | ) | `[private]`

## Member Function Documentation

void MS_SequenceOfInterface::Append | ( | MS_SequenceOfInterface & | S | ) |

Standard_EXPORT void MS_SequenceOfInterface::Append | ( | const Handle(MS_Interface)& | T | ) |

Standard_EXPORT const MS_SequenceOfInterface& MS_SequenceOfInterface::Assign | ( | const MS_SequenceOfInterface & | Other | ) |

Standard_EXPORT Handle_MS_Interface& MS_SequenceOfInterface::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfInterface::Clear | ( |  | ) |

Standard_EXPORT const Handle_MS_Interface& MS_SequenceOfInterface::First | ( |  | ) | const

void MS_SequenceOfInterface::InsertAfter | ( | const Standard_Integer | Index,
|  | MS_SequenceOfInterface & | S
| ) |

Standard_EXPORT void MS_SequenceOfInterface::InsertAfter | ( | const Standard_Integer | Index,
|  | const Handle(MS_Interface)& | T
| ) |

void MS_SequenceOfInterface::InsertBefore | ( | const Standard_Integer | Index,
|  | MS_SequenceOfInterface & | S
| ) |

void MS_SequenceOfInterface::InsertBefore | ( | const Standard_Integer | Index,
|  | const Handle(MS_Interface)& | T
| ) |

Standard_EXPORT const Handle_MS_Interface& MS_SequenceOfInterface::Last | ( |  | ) | const

void MS_SequenceOfInterface::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MS_SequenceOfInterface::operator new | ( | size_t | size | ) | `[inline]`

void* MS_SequenceOfInterface::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_MS_Interface& MS_SequenceOfInterface::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Handle_MS_Interface& MS_SequenceOfInterface::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const MS_SequenceOfInterface& MS_SequenceOfInterface::operator= | ( | const MS_SequenceOfInterface & | Other | ) | `[inline]`

void MS_SequenceOfInterface::Prepend | ( | MS_SequenceOfInterface & | S | ) |

Standard_EXPORT void MS_SequenceOfInterface::Prepend | ( | const Handle(MS_Interface)& | T | ) |

Standard_EXPORT void MS_SequenceOfInterface::Remove | ( | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

Standard_EXPORT void MS_SequenceOfInterface::Remove | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void MS_SequenceOfInterface::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(MS_Interface)& | I
| ) |

void MS_SequenceOfInterface::Split | ( | const Standard_Integer | Index,
|  | MS_SequenceOfInterface & | Sub
| ) |

Standard_EXPORT const Handle_MS_Interface& MS_SequenceOfInterface::Value | ( | const Standard_Integer | Index | ) | const

The documentation for this class was generated from the following file:

- MS_SequenceOfInterface.hxx